WordPress is used for blogging. It's important to keep it secure so your info isn't stolen or misused. Someone could even post something bad on your blog if they hacked in. Your readers would not know you were hacked and might think you were the poster. It could hurt your reputation. It could even get you into legal trouble if what was posted was harmful. This release should help with security so any WordPress user should look at it.

Key Takeaways:

  • Latest version of WordPress(4.8.2) and description of features in it.
  • Cross-site scripting (XSS) vulnerability was discovered in new Version to avoid security issues
  • In the latest version of WordPress contains 6 maintenance fixes and some security issues

“WordPress 4.8.2 is now available. This is a security release for all previous versions and we strongly encourage you to update your sites immediately”

Read more: https://wordpress.org/news/2017/09/wordpress-4-8-2-security-and-maintenance-release/